Package com.netrics.likeit

## Interface NetricsFieldedReader

- All Known Implementing Classes:
    `NetricsCSVReader`

      public interface NetricsFieldedReader

  This interface is used to provide sets of fields to other ibi™ Patterns - Search classes. This interface provides a list of raw "records" consisting of a set of strings. Unlike the NetricsRecSrc interface, these are raw values that may have varying numbers of fields in each record. Currently this interface is used by the thesaurus classes: NetricsThresaurus, NetricsCombinedThesaurus, NetricsWeightedDictionary, as a means of loading equivalence classes.
  See Also:
    `NetricsThesaurus`, `NetricsWeightedDictionary`, `NetricsCombinedThesaurus`, `NetricsCSVReader`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the input source releasing all resources.
    `int` | `curLineNum()` | Return the line/record number about to be read.
    `java.lang.String[]` | `readRecord()` | Read the next record.
    `void` | `reset()` | Start sequence over from the beginning.

- - ### Method Detail

    - #### curLineNum

          int curLineNum()

      Return the line/record number about to be read.
      Returns:
        the line/record number about to be read.

    - #### reset

          void reset()
              throws NetricsFileFormatException

      Start sequence over from the beginning.
      Throws:
        `NetricsFileFormatException` - if there was an error resetting the sequence.

    - #### close

          void close()
              throws NetricsFileFormatException

      Close the input source releasing all resources.
      Throws:
        `NetricsFileFormatException` - if there was an error closing the sequence.

    - #### readRecord

          java.lang.String[] readRecord()
                                 throws NetricsFileFormatException

      Read the next record.
      Returns:
        the set of fields of the record, null on EOF.
      Throws:
        `NetricsFileFormatException` - if there was an error reading the record.